CONDOR_CONTINUE(1)

NAME
condor_continue - HTCondor Manual

Continue suspended jobs from HTCondor.

SYNOPSIS

condor_continue [-help | -version]

condor_continue [OPTIONS] [cluster... | cluster.proc... | user...]

condor_continue [-debug] [-long] [-totals] [-all] [-constraint expression] [-pool hostname[:portnumber] | -name scheddname | -addr "<a.b.c.d:port>"]

DESCRIPTION

condor_continue continues one or more jobs that have been suspended as a result of running condor_suspend <href="../man-pages/condor_suspend.html">. The job(s) to be continued are identified by one of the job identifiers, as described below. For any given job, only the owner of the job or one of the queue super users (defined by the QUEUE_SUPER_USERS <href="../admin-manual/configuration-macros.html#QUEUE_SUPER_USERS"> macro) can continue the job.

OPTIONS

            -help
                Display usage information.

            -version
                Display version information.

            -long
                Display result ClassAd.

            -totals
                Display success/failure totals.

            -pool hostname[:portnumber]
                Specify a pool by giving the central manager's host name and an optional port number.

            -name scheddname
                Send the command to a machine identified by scheddname.

            -addr "<a.b.c.d:port>"
                Send the command to a machine located at "<a.b.c.d:port>".

            -debug
                Causes debugging information to be sent to stderr, based on the value of the configuration variable TOOL_DEBUG <href="../admin-manual/configuration-macros.html#TOOL_DEBUG">.

            -constraint expression
                Continue all jobs which match the job ClassAd expression constraint.

            -all
                Continue all the jobs in the queue.

            cluster
                Continue all jobs in the specified cluster.

            cluster.process
                Continue the specific job in the cluster.

            user
                Continue all jobs belonging to specified user.

GENERAL REMARKS

If the -name option is specified, the named condor_schedd is targeted for processing. Otherwise, the local condor_schedd is targeted.

EXIT STATUS

0 - Success

1 - Failure has occurred

EXAMPLES

To continue a specific job:

            $ condor_continue 432.1

To continue all jobs except for a specific user:

            # condor_continue -constraint 'Owner =!= "foo"'

SEE ALSO

condor_suspend <href="../man-pages/condor_suspend.html">, condor_rm <href="../man-pages/condor_rm.html">, condor_hold <href="../man-pages/condor_hold.html">, condor_release <href="../man-pages/condor_release.html">, condor_vacate_job <href="../man-pages/condor_vacate_job.html">, condor_vacate <href="../man-pages/condor_vacate.html">

AVAILABILITY

Linux, MacOS, Windows

Author
HTCondor Team

Copyright
1990-2026, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.